sensorfw: ProximityAdaptor Class Reference

sensorfw

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ProximityAdaptor Class Reference

Adaptor for proximity sensor. More...

`#include <proximityadaptor.h>`

Inheritance diagram for ProximityAdaptor:

## Public Types
enum | DeviceType { DeviceUnknown = 0 , RM680 , RM696 , NCDK }

## Public Member Functions
virtual bool | startSensor ()
virtual void | stopSensor ()

## Static Public Member Functions
static DeviceAdaptor * | factoryMethod (const QString &id)
| Factory method for gaining a new instance of ProximityAdaptor class.

## Protected Member Functions
| ProximityAdaptor (const QString &id)
| Constructor.
| ~ProximityAdaptor ()

## Detailed Description

Adaptor for proximity sensor.

Adaptor for proximity. Uses SysFs driver interface in interval polling mode, i.e. values are read with given constant interval.

Definition at line 52 of file proximityadaptor.h.

## Member Enumeration Documentation

## ◆ DeviceType

enum ProximityAdaptor::DeviceType

Enumerator
DeviceUnknown |
RM680 |
RM696 |
NCDK |

Definition at line 57 of file proximityadaptor.h.

## Constructor & Destructor Documentation

## ◆ ProximityAdaptor()

ProximityAdaptor::ProximityAdaptor | ( | const QString & | id | ) |
| protected

Constructor.

Parameters

  id | Identifier for the adaptor.

## ◆ ~ProximityAdaptor()

ProximityAdaptor::~ProximityAdaptor | ( |  | ) |
| protected

## Member Function Documentation

## ◆ factoryMethod()

static DeviceAdaptor * ProximityAdaptor::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for gaining a new instance of ProximityAdaptor class.

Parameters

  id | Identifier for the adaptor.

Definition at line 69 of file proximityadaptor.h.

## ◆ startSensor()

virtual bool ProximityAdaptor::startSensor | ( |  | ) |
| virtual

## ◆ stopSensor()

virtual void ProximityAdaptor::stopSensor | ( |  | ) |
| virtual

The documentation for this class was generated from the following file:

- adaptors/proximityadaptor/proximityadaptor.h